package com.qmth.paper.library.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

public class DocManageResult {

    @ApiModelProperty(value = "任务ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperScanTaskId;
    @ApiModelProperty(value = "学期")
    private String semesterName;
    @ApiModelProperty(value = "考试")
    private String examName;
    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "学生数量")
    private int studentCount;
    @ApiModelProperty(value = "已扫学生数量")
    private int scanStudentCount;

    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public int getScanStudentCount() {
        return scanStudentCount;
    }

    public void setScanStudentCount(int scanStudentCount) {
        this.scanStudentCount = scanStudentCount;
    }
}
